# Uses of Interface
org.eclipse.ui.progress.IProgressService

Packages that use IProgressService
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IProgressService in org.eclipse.ui

Methods in org.eclipse.ui that return IProgressService
Modifier and Type
Method
Description
`IProgressService`
IWorkbench.`getProgressService()`
Returns the progress service for the workbench.

## Uses of IProgressService in org.eclipse.ui.progress

Subinterfaces of IProgressService in org.eclipse.ui.progress
Modifier and Type
Interface
Description
`interface`
`IWorkbenchSiteProgressService`
IWorkbenchPartProgressService is an IProgressService that adds API for jobs that change the state in a IWorkbenchPartSite while they are being run.